javax.jdo

## Class JDOReadOnlyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jdo.JDOException
        - - javax.jdo.JDOCanRetryException
          - - javax.jdo.JDOUserException
            - - javax.jdo.JDOReadOnlyException

- All Implemented Interfaces:
    Serializable

      public class JDOReadOnlyException
      extends JDOUserException

  This class represents exceptions caused by an attempt to update a datastore when the PMF was created as "read-only".
  Since:
    2.2
  Version:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDOReadOnlyException()` Constructs a new `JDOReadOnlyException` without a detail message.
    `JDOReadOnlyException(String msg)` Constructs a new `JDOReadOnlyException` with the specified detail message.
    `JDOReadOnlyException(String msg, Throwable nested)` Constructs a new `JDOReadOnlyException` with the specified detail message and nested `Throwable`s.
    `JDOReadOnlyException(String msg, Throwable[] nested)` Constructs a new `JDOReadOnlyException` with the specified detail message and nested `Throwable`s.

  - ### Method Summary

    - ### Methods inherited from class javax.jdo.JDOException

      `getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDOReadOnlyException

          public JDOReadOnlyException()

      Constructs a new `JDOReadOnlyException` without a detail message.
      Since:
        2.2

    - #### JDOReadOnlyException

          public JDOReadOnlyException(String msg)

      Constructs a new `JDOReadOnlyException` with the specified detail message.
      Parameters:
        `msg` - the detail message.
      Since:
        2.2

    - #### JDOReadOnlyException

          public JDOReadOnlyException(String msg,
                                      Throwable[] nested)

      Constructs a new `JDOReadOnlyException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.
      Since:
        2.2

    - #### JDOReadOnlyException

          public JDOReadOnlyException(String msg,
                                      Throwable nested)

      Constructs a new `JDOReadOnlyException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.
      Since:
        2.2

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.